Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::G::TypeInterface Class Reference

Abstract base class for GTK+ interfaces. More...

`#include <inti/glib/type.h>`

Inheritance diagram for Inti::G::TypeInterface:

List of all members.

## Public Member Functions

Accessors

- virtual ~TypeInterface ()=0
    Destructor.
- GTypeInterface * g_type_interface () const
    Get a pointer to the GTypeInterface.
- template<typename T> T * peek (GType type) const
    Get the GTypeInterface structure of the interface to which the instance conforms.

## Static Public Member Functions

- template<typename T> T * peek_parent (void *g_iface)
    Get the parent GTypeInterface structure of the interface g_iface.

## Detailed Description

Abstract base class for GTK+ interfaces.

## Member Function Documentation

template<typename T>
T* Inti::G::TypeInterface::peek | ( | GType | type | ) | const`[inline]`

  | Get the GTypeInterface structure of the interface to which the instance conforms. Parameters:
  type | An interface ID which this class conforms to.
Returns: The interface structure of type, or null if the instance is not instantiated.

template<typename T>
T* Inti::G::TypeInterface::peek_parent | ( | void * | g_iface | ) | `[inline, static]`

  | Get the parent GTypeInterface structure of the interface g_iface. Parameters:
  g_iface | The GTypeInterface to get the parent of.
Returns: A pointer to the parent interface structure, or null if none exists.

The documentation for this class was generated from the following file:

- type.h

Main Page - Footer